# Payment

Only same-currency payments are supported: the payment currency must match the payee currency

Endpoint: POST /api/v2/merch/pay/apply
Version: 1.0.0

## Header parameters:

  - `X-Merch-Id` (string)

## Request fields (application/json):

  - `request_id` (string, required)
    Requestid

  - `amount` (integer, required)
    PaymentAmount(CurrencyMinimum Unit)

  - `currency` (string, required)
    Currency: EUR - Euro, USD - United States dollar, CNY - Chinese yuan, GBP - British pound, JPY - Japanese yen, AUD - Australian dollar, CAD - Canadian dollar, SGD - Singapore dollar, HKD - Hong Kong dollar, PHP - Philippine peso, CNH - offshore Chinese yuan
    Enum: "EUR", "USD", "CNY", "GBP", "JPY", "AUD", "CAD", "SGD", "HKD", "PHP", "CNH"

  - `beneficiary_id` (string, required)
    Collection person id

  - `postscript` (string)
    P.S.

## Response 200 fields (*/*):

  - `status` (string, required)
    Status
    Enum: "PROCESSING", "SUCCEEDED", "FAILED"

  - `fee_amount` (integer, required)
    Fee (Currency is the Payment currency, the CurrencyMinimum Unit)

  - `beneficiary_type` (string, required)
    CollectionPeopleType
    Enum: "PAY", "WITHDRAW"

